﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.dataSource1 = new NorthwindDataContext().OrdersViews.Where(ds =>ds.EmployeeID ==1).ToList();
            var data = new NorthwindDataContext().OrdersViews.Select(ds => ds.EmployeeID).Distinct().OrderBy(O => O.Value).ToList();
            ViewBag.dataSource2 = data;
            return View();
        }
        public ActionResult DataSource(int id )
        {
            var data = new NorthwindDataContext().OrdersViews.Where(ds => ds.EmployeeID == id).ToList();
            return Json(data);
        }
        public class DataResult
        {
            public IEnumerable<EditableOrder> result { get; set; }
            public int count { get; set; }
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}